<?php
/*	欢迎使用DM企业建站系统，本系统由www.demososo.com开发。
*/
require_once '../config_a/common.inc2010.php';
$switchlanglink = 'mod_module/mod_smtp.php?file=list';

//
 if($act <> "pos") zb_insert($_POST);

 if($pidname<>'') {ifhaspidname(TABLE_BLOCK,$pidname);}

//ifhaspidname(TABLE_NODE,$pid);
//ifhaspidname(TABLE_CATE,$catpid);
ifhave_lang(LANG);//TEST if have lang,if no ,then jump
$menuactive_module = 'nav-active';

$jumpv='mod_smtp.php?lang='.LANG;
$jumpv_pidname=$jumpv.'&pidname='.$pidname;
$jumpv_file=$jumpv.'&file='.$file;
$jumpv_pidnamefile=$jumpv_pidname.'&file='.$file;


//----
$submenu='module';
$title = 'smtp邮箱管理';


//-----------

require_once HERE_ROOT.'mod_common/tpl_header.php';

?>

 <div class="page-title-box">
                    <h4 class="page-title"><?php echo $title?></h4>
                    
                    <div class="clearfix"></div>
                 </div>
                  <!--End Page Title-->          
           
           
                  <!--Start row-->
                  <div class="row">
                    <div class="col-md-12">
                       <div class="white-box">

  
<?php

$jumpv_insert = $jumpv.'&act=update';

if($act=='update'){



   if(@$_POST['inputmust']=='') {echo $inputmusterror.$backlist;exit;}

  $bscnt22 = '';
  if(count($_POST)>1){
          foreach ($_POST as  $k=>$v) {
            if(strtolower($k)=='submit') break;if(strtolower($k)=='inputmust') break;
            $bscnt22 .= $k.':##'.htmlentitdm(trim($v)).'==#==';

          }
      }
       $bscnt22 = substr($bscnt22,0,-5);



	 $ss = "update ".TABLE_LANG." set arr_smtp='$bscnt22' where lang='".LANG."' limit 1";
	 iquery($ss);

  jump($jumpv);

}
else{


  $sql = "SELECT arr_smtp from ".TABLE_LANG."  where lang='".LANG."' order by id limit 1";
//echo $sql;//exit;

$row22 = getrow($sql);
$arr_smtp=$row22['arr_smtp'];

$smtp_shou = '';
$smtp_secure = 'ssl';
$bscntarr = explode('==#==',$arr_smtp);
//pre($bscntarr);
     if(count($bscntarr)>1){
          foreach ($bscntarr as   $bsvalue) {
             if(strpos($bsvalue, ':##')){
               $bsvaluearr = explode(':##',$bsvalue);
               $bsccc = $bsvaluearr[0];
               $$bsccc=$bsvaluearr[1];
             }
          }
      }


if($smtp_port=='') $smtp_port = '465';
?>


<form  onsubmit="javascript:return checkhere(this)" action="<?php echo $jumpv_insert;?>" method="post">
  <table class="formtab">
    <tr>
      <td width="20%" class="tr">是否开通SMTP功能：</td>
      <td width="78%">
         <select name="smtp_active">
    <?php select_from_arr($arr_yn,$smtp_active,'');?>
     </select>

     <?php
     if($smtp_active<>'y') echo '<span class="cred">提示：没有开通SMTP功能，前台留言后不会发送邮件。</span>';

     ?>

      </td>
    </tr>
    <tr>
      <td   class="tr">
      邮件发送设置：<br />
      <span class="cgray">建议注册一个免费的163邮箱来发送邮件。
      </span>

      </td>
      <td  >
      SMTP服务器：
       <input name="smtp_server" type="text"  value="<?php echo $smtp_server;?>" size="35" />

       <div class="c5"></div>
SMTP Secure：

<input name="smtp_secure" type="text"  value="<?php echo $smtp_secure;?>"size="35" />
     <br /> <span class="cgray">默认为： ssl  
      </span>




<div class="c5"></div>
SMTP服务器端口：
<input name="smtp_port" type="text"  value="<?php echo $smtp_port;?>"size="35" />
     <br />   <span class="cgray">ssl为： 465  ，非ssl则为： 25 。但是不同的邮箱系统，可能会不一样。
         
      </span>




<div class="c5"></div>
 邮箱账号：<input name="smtp_email" type="text"  value="<?php echo $smtp_email;?>" size="35" />
 <div class="c5"></div>
 邮箱密码或授权码：<input name="smtp_ps" type="text"  value="<?php echo $smtp_ps;?>" size="35" />

 <p style="padding:10px 0"><?php
            echo admlink('',$dmlink_smtp,'查看smtp配置教程>');
    ?></p>
      </td>
    </tr>
	  <tr>
      <td   class="tr">收件箱：<br />
      <span class="cgray">客户在前台留言后，用来接收信息的邮箱。
      </span>
      </td>
      <td  > <input name="smtp_shou" type="text"  value="<?php echo $smtp_shou;?>" class="form-control" />
      <span class="cgray">多个收件箱，以 一竖 | 隔开，比如 test1@qq.com|test2@qq.com|test3@qq.com</span>
      </td>
    </tr>


	<tr>
      <td></td>
      <td>
      <input  class="mysubmit" type="submit" name="Submit" value="提交"></td>
    </tr>
	  </table>
    <?php echo $inputmust;?>

</form>



<?php
}
?>

</div></div></div>
<?php
require_once HERE_ROOT.'mod_common/tpl_footer.php';

?>
